﻿using System;
using System.Collections.Generic;

namespace TestProject
{
    /// <summary>
    /// 송장 리스트
    /// </summary>
    public class InvoiceList
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 데이터 구하기 - GetData()

        /// <summary>
        /// 데이터 구하기
        /// </summary>
        /// <returns>송장 리스트</returns>
        public List<Invoice> GetData()
        {
            List<Invoice> list = new List<Invoice>();

            list.Add
            (
                new Invoice()
                {
                    ID            = 0,
                    ProductName   = "Tofu",
                    IsUrgent      = false,
                    Price         = 235.54,
                    Discount      = 9.4,
                    InvoiceStatus = InvoiceStatus.Invalidated,
                    OrderDate     = new DateTime(2009, 3, 12)
                }
            );

            list.Add
            (
                new Invoice()
                {
                    ID            = 1,
                    ProductName   = "Ravioli Angelo",
                    IsUrgent      = true,
                    Price         = 178.45,
                    Discount      = 6.1,
                    InvoiceStatus = InvoiceStatus.Delivered,
                    OrderDate     = new DateTime(2009, 2, 9)
                }
            );

            list.Add
            (
                new Invoice()
                {
                    ID            = 2,
                    ProductName   = "Geitost",
                    IsUrgent      = false,
                    Price         = 89.98,
                    Discount      = 5.4,
                    InvoiceStatus = InvoiceStatus.Payed,
                    OrderDate     = new DateTime(2009, 4, 1)
                }
            );

            list.Add
            (
                new Invoice()
                {
                    ID            = 3,
                    ProductName   = "Chang",
                    IsUrgent      = true,
                    Price         = 189.33,
                    Discount      = 18.2,
                    InvoiceStatus = InvoiceStatus.Shipped,
                    OrderDate     = new DateTime(2009, 5, 23)
                }
            );

            list.Add
            (
                new Invoice()
                {
                    ID            = 4,
                    ProductName   = "Inlagd Sill",
                    IsUrgent      = false,
                    Price         = 509.10,
                    Discount      = 22.2,
                    InvoiceStatus = InvoiceStatus.Ordered,
                    OrderDate     = new DateTime(2009, 6, 30)
                }
            );

            list.Add
            (
                new Invoice()
                {
                    ID            = 5,
                    ProductName   = "Alice Mutton",
                    IsUrgent      = true,
                    Price         = 791.18,
                    Discount      = 24.4,
                    InvoiceStatus = InvoiceStatus.Invalidated,
                    OrderDate     = new DateTime(2009, 5, 7)
                }
            );

            return list;
        }

        #endregion
    }
}