﻿using System.Windows;

using DevExpress.Xpf.Grid;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.gridControl.ItemsSource = new InvoiceList().GetData();
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 그리드 컨트롤 그룹 행 확장시 처리하기 - gridControl_GroupRowExpanding(sender, e)

        /// <summary>
        /// 그리드 컨트롤 그룹 행 확장시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void gridControl_GroupRowExpanding(object sender, RowAllowEventArgs e)
        {
            if(e.Row == null || ((Invoice)e.Row).InvoiceStatus == InvoiceStatus.Invalidated && this.invoiceStatusGridColumn.GroupIndex != -1)
            {
                e.Allow = false;
            }
        }

        #endregion
    }
}